-- phpMyAdmin SQL Dump
-- version 3.4.9
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le : Lun 17 Décembre 2012 à 16:06
-- Version du serveur: 5.5.16
-- Version de PHP: 5.3.9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `calendrier`
--

-- --------------------------------------------------------

--
-- Structure de la table `equipe`
--

DROP TABLE IF EXISTS `equipe`;
CREATE TABLE IF NOT EXISTS `equipe` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Contenu de la table `equipe`
--

INSERT INTO `equipe` (`id`, `nom`) VALUES
(1, 'Nord'),
(2, 'Sud'),
(3, 'Est'),
(4, 'Ouest');

-- --------------------------------------------------------

--
-- Structure de la table `events`
--

DROP TABLE IF EXISTS `events`;
CREATE TABLE IF NOT EXISTS `events` (
  `event_id` int(11) NOT NULL AUTO_INCREMENT,
  `event_name` varchar(127) NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `details` text NOT NULL,
  `categorie` varchar(50) NOT NULL,
  `id_user` int(11) NOT NULL,
  `event_pid` int(11) NOT NULL,
  `event_length` int(11) NOT NULL,
  `rec_type` varchar(64) NOT NULL,
  `id_equipe` int(11) NOT NULL,
  PRIMARY KEY (`event_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1261152065 ;

--
-- Contenu de la table `events`
--

INSERT INTO `events` (`event_id`, `event_name`, `start_date`, `end_date`, `details`, `categorie`, `id_user`, `event_pid`, `event_length`, `rec_type`, `id_equipe`) VALUES
(1261152062, 'Test 2', '2012-12-19 10:45:00', '2012-12-19 15:30:00', '', 'Jaune', 1, 0, 0, '', 0),
(1261152060, 'Nouvel Ã©vÃ©nement', '2012-12-17 12:30:00', '2012-12-17 16:15:00', '', 'Vert', 2, 0, 0, '', 0),
(1261152061, 'Test', '2012-12-18 10:15:00', '2012-12-18 16:15:00', '', 'Rouge', 1, 0, 0, '', 0),
(1261152057, 'Nouvel Ã©vÃ©nement', '2012-12-15 11:15:00', '2012-12-15 14:15:00', '', 'Jaune', 99, 0, 0, '', 0),
(1261152058, 'Nouvel Ã©vÃ©nement', '2012-12-13 12:00:00', '2012-12-13 13:00:00', '', 'Jaune', 1, 0, 0, '', 0),
(1261152059, 'Event Vert', '2012-12-14 07:45:00', '2012-12-14 14:30:00', '', 'Vert', 1, 0, 0, '', 0),
(1261152056, 'Nouvel Ã©vÃ©nement', '2012-12-13 11:15:00', '2012-12-13 15:45:00', 'test', 'Vert', 99, 0, 0, '', 0),
(1261152063, 'Nouvel Ã©vÃ©nement', '2012-12-18 09:30:00', '2012-12-18 15:00:00', '', '', 3, 0, 0, '', 0),
(1261152064, 'Encore un test', '2012-12-18 15:15:00', '2012-12-18 17:30:00', '', 'Bleu', 3, 0, 0, '', 0);

-- --------------------------------------------------------

--
-- Structure de la table `type_event`
--

DROP TABLE IF EXISTS `type_event`;
CREATE TABLE IF NOT EXISTS `type_event` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(50) NOT NULL,
  `color_fond` varchar(10) NOT NULL,
  `color_text` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

--
-- Contenu de la table `type_event`
--

INSERT INTO `type_event` (`id`, `description`, `color_fond`, `color_text`) VALUES
(7, 'Rouge', '#bf0000', '#ffffff'),
(8, 'Bleu', '#007fff', '#000000'),
(9, 'Vert', '#3fbf3f', '#ffffff'),
(10, 'Jaune', '#ffbf3f', '#ffffff'),
(11, 'Noir', '#000000', '#ffffff'),
(12, 'Blanc', '#ffffff', '#000000');

-- --------------------------------------------------------

--
-- Structure de la table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `login` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `id_equipe` int(11) NOT NULL,
  `is_admin` int(11) NOT NULL,
  `droit_autre_equipe` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Contenu de la table `user`
--

INSERT INTO `user` (`id`, `nom`, `prenom`, `email`, `login`, `password`, `id_equipe`, `is_admin`, `droit_autre_equipe`) VALUES
(1, 'danguy', 'benoit', 'bdanguy@fede14.admr.org', 'bdanguy', 'benoit', 1, 1, 1),
(2, 'capelle', 'diane', 'dcapelle@fede14.admr.org', 'dcapelle', 'diane', 1, 0, 1),
(3, 'Mouse', 'Mickey', 'mmouse@fede14.admr.org', 'mickey', 'souris', 1, 0, 1);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
