<?php
	require_once('../lib/dhtmlx_scheduler/codebase/connector/scheduler_connector.php');
	include ('./config.php');

	$equipe_id = intval($_GET['equipe']);

	function delete_related($action){
		global $scheduler;
		global $user_id;
		

		$status = $action->get_status();
		$type =$action->get_value("rec_type");
		$pid =$action->get_value("event_pid");
		//when serie changed or deleted we need to remove all linked events
		if (($status == "deleted" || $status == "updated") && $type!=""){
			$scheduler->sql->query("DELETE FROM events WHERE event_pid='".$scheduler->sql->escape($action->get_id())."'");
		}
		if ($status == "deleted" && $pid !=0){
			$scheduler->sql->query("UPDATE events SET rec_type='none' WHERE event_id='".$scheduler->sql->escape($action->get_id())."'");
			$action->success();
		}
		
	}
	function insert_related($action){
		$status = $action->get_status();
		$type =$action->get_value("rec_type");
		
		if ($status == "inserted" && $type=="none")
			$action->set_status("deleted");
	}
	
	$scheduler = new schedulerConnector($res, $dbtype);
	$scheduler->enable_log("error.log",true);
	$scheduler->event->attach("beforeProcessing","delete_related");
	$scheduler->event->attach("afterProcessing","insert_related");
	//$scheduler->render_table("events","event_id","start_date,end_date,event_name,details,categorie,rec_type,event_pid,event_length");
	$scheduler->render_table("events, user where events.id_user=user.id and user.id_equipe = ".$equipe_id,"event_id","start_date,end_date,event_name,details,categorie,rec_type,event_pid,event_length, id_user");
	


?>